var user = false;

function init(){
	TweenMax.set("#cirkel", {scale: 0.6});
	TweenMax.set(["#intro1", "#intro3"], {autoAlpha: 0});
	TweenMax.set(["#intro2"], {autoAlpha: 0, scale:0.3});
	TweenMax.set(["#paraplu"], {autoAlpha: 0,y:80, scale:0.3});


	TweenMax.set(["#btn", '#vlak'], {autoAlpha: 0});
	TweenMax.set(["#packshot1", "#packshot2", "#packshot3"], {autoAlpha: 0, x: -100});
	TweenMax.set(["#txt1", "#prijs1", "#txt2", "#prijs2", "#txt3", "#prijs3"], {autoAlpha: 0, x: -40});
	TweenMax.set("#btn", {scale: 1});

	TweenMax.set(["#bullet1", "#bullet2", "#bullet3", "#bullet4", "#alleAanbiedingenCta"], {autoAlpha: 0});

	tl.play();

}


tl = new TimelineMax({paused:true});
tl.addCallback(intro);
tl.addCallback(zoomuit,'+=4');
tl.addCallback(ipad);
tl.addCallback(GOT,'+=2.6');
tl.addCallback(CD,'+=2.6');
//tl.addCallback(zoomin,'+=2.6');
tl.addCallback(lastframe,'+=2.8');



/////// ANIMATIES PRODUCTEN///////////////////////////////////////////////////////////////////////////////////////////////////////

function intro(){
	TweenMax.set("#bullet1", {css:{backgroundColor: "#ffffff"}});

	TweenMax.set("#bullet2", {css:{backgroundColor: "none"}});
	TweenMax.set("#bullet3", {css:{backgroundColor: "none"}});
	TweenMax.set("#bullet4", {css:{backgroundColor: "none"}});

		TweenMax.to([".intro"],0.8, {autoAlpha: 1,y: -20});

	TweenMax.to("#intro1",0.5, {autoAlpha: 1, scale: 1, ease: Back.easeOut.config(1.7)});
	TweenMax.to("#intro2",1, {autoAlpha: 1, scale: 1, ease: Elastic.easeOut.config(1, 0.3), delay: 0.8});
	TweenMax.to("#intro3",0.5, {autoAlpha: 1, scale: 1, ease: Back.easeOut.config(1.7), delay: 1.2});
	TweenMax.to("#paraplu",0.4, {autoAlpha: 1, y:5, scale: 1, ease: Back.easeOut.config(1.7), delay: 1.8});

	TweenMax.to(["#btn"],0.5, {autoAlpha: 1, delay: 4.5});
	TweenMax.to(["#bullet1", "#bullet2", "#bullet3", "#bullet4"],0.5, {autoAlpha: 1, delay: 1.8});
}

function zoomuit(){
	TweenMax.to([".intro"],0.8, {autoAlpha: 1, x: 0, y: 0, scale: 0.5, ease: Back.easeInOut.config(1.5)});
	TweenMax.to(["#container2"],0.6, {autoAlpha: 1, x: -83, y: -80, width:240, height:189});
	TweenMax.to([".drup"],0.6, {autoAlpha: 0});
	TweenMax.to(["#vlak", "#klik1"],.6, {autoAlpha: 0, delay:.5});

		TweenMax.to(["#alleAanbiedingenCta"],0.5, {autoAlpha: 0});
}

function zoomin(){
	TweenMax.to(["#vlak", ".drup", "#klik1"],0.6, {autoAlpha: 1});
	TweenMax.set("#bullet1", {css:{backgroundColor: "#ffffff"}});
	TweenMax.set("#bullet2", {css:{backgroundColor: "none"}});
	TweenMax.set("#bullet3", {css:{backgroundColor: "none"}});
	TweenMax.set("#bullet4", {css:{backgroundColor: "none"}});

	TweenMax.to([".intro"],0.8, {autoAlpha: 1, x:0,y: 0, scale: 1, ease: Back.easeInOut.config(1.5)});
	/*TweenMax.to(["#regen1", "#regen2"],0.6, {autoAlpha: 1});*/
	TweenMax.to(["#container2"],0.6, {autoAlpha: 1, x: 0, y: 0, width:336, height:280});

	TweenMax.to("#packshot3",0.6, {autoAlpha:0, x:40, ease: Back.easeIn.config(1.7)});
	TweenMax.to("#packshot2",0.6, {autoAlpha:0, x:40, ease: Back.easeIn.config(1.7)});
	TweenMax.to("#packshot1",0.6, {autoAlpha:0, x:40, ease: Back.easeIn.config(1.7)});

	TweenMax.to(["#txt3", "#prijs3"],0.6, {autoAlpha: 0, x:40, ease: Back.easeIn.config(1.5), delay: 0});
	TweenMax.to(["#txt2", "#prijs2"],0.6, {autoAlpha: 0, x:40, ease: Back.easeIn.config(1.5), delay: 0});
	TweenMax.to(["#txt1", "#prijs1"],0.6, {autoAlpha: 0, x:40, ease: Back.easeIn.config(1.5), delay: 0});
}


function lastframe(){
	TweenMax.to([/*"#vlak",*/ ".drup", "#klik1"],0.6, {autoAlpha: 1});
	TweenMax.set("#bullet1", {css:{backgroundColor: "#ffffff"}});
	TweenMax.set("#bullet2", {css:{backgroundColor: "none"}});
	TweenMax.set("#bullet3", {css:{backgroundColor: "none"}});
	TweenMax.set("#bullet4", {css:{backgroundColor: "none"}});

	TweenMax.to([".intro"],0.8, {autoAlpha: 1, x:38, y: -10, scale: 0.8, ease: Back.easeInOut.config(1.5)});
	/*TweenMax.to(["#regen1", "#regen2"],0.6, {autoAlpha: 1});*/
	TweenMax.to(["#container2"],0.6, {autoAlpha: 1, x: 0, y: 0, width:995, height:250});

	TweenMax.to("#packshot3",0.6, {autoAlpha:0, x:40, ease: Back.easeIn.config(1.7)});
	TweenMax.to("#packshot2",0.6, {autoAlpha:0, x:40, ease: Back.easeIn.config(1.7)});
	TweenMax.to("#packshot1",0.6, {autoAlpha:0, x:40, ease: Back.easeIn.config(1.7)});

	TweenMax.to(["#txt3", "#prijs3"],0.6, {autoAlpha: 0, x:40, ease: Back.easeIn.config(1.5), delay: 0});
	TweenMax.to(["#txt2", "#prijs2"],0.6, {autoAlpha: 0, x:40, ease: Back.easeIn.config(1.5), delay: 0});
	TweenMax.to(["#txt1", "#prijs1"],0.6, {autoAlpha: 0, x:40, ease: Back.easeIn.config(1.5), delay: 0});

	TweenMax.to(["#alleAanbiedingenCta"],0.8, {autoAlpha: 1,  ease: Back.easeInOut.config(1.5), delay: 0.6});
}

/////// RESET FUNCTIES ///////////////////////////////////////////////////////////////////////////////////////////////////////

function reseteen(){
	TweenMax.set(["#txt1", "#prijs1","#packshot1"], {x: -100, autoAlpha:0});
	TweenMax.set(["#txt1", "#prijs1"], {x: -40});
}

function resettwee(){
	TweenMax.set(["#txt2", "#prijs2","#packshot2"], {x: -100, autoAlpha:0});
	TweenMax.set(["#txt2", "#prijs2"], {x: -40});
}

function resetdrie(){
	TweenMax.set(["#txt3", "#prijs3","#packshot3"], {x: -100, autoAlpha:0});
	TweenMax.set(["#txt3", "#prijs3"], {x: -40});
}
/////// CAROUSEL FUNCTIES ///////////////////////////////////////////////////////////////////////////////////////////////////////

function ipad(){

	TweenMax.set("#bullet2", {css:{backgroundColor: "#ffffff"}});

	TweenMax.set("#bullet1", {css:{backgroundColor: "none"}});
	TweenMax.set("#bullet3", {css:{backgroundColor: "none"}});
	TweenMax.set("#bullet4", {css:{backgroundColor: "none"}});
	reseteen();
	TweenMax.to(["#txt1", "#prijs1"],0.6, {autoAlpha: 1, x:0, ease: Back.easeOut.config(1.5), delay: 0.6});

	TweenMax.to("#packshot3",0.6, {autoAlpha:0, x:40, ease: Back.easeIn.config(1.7)});
	TweenMax.to("#packshot2",0.6, {autoAlpha:0, x:40, ease: Back.easeIn.config(1.7)});

	TweenMax.to(["#txt3", "#prijs3"],0.6, {autoAlpha: 0, x:40, ease: Back.easeIn.config(1.5), delay: 0});
	TweenMax.to(["#txt2", "#prijs2"],0.6, {autoAlpha: 0, x:40, ease: Back.easeIn.config(1.5), delay: 0});

	TweenMax.to("#packshot1",1, {autoAlpha:1, x:0, ease: Back.easeOut.config(1.7), delay: 0.6});

	TweenMax.to("#btn",0.3, {scale: 1.1, repeat: 3, yoyo:true, ease: Power3.easeInOut, delay: 1.2});

}

function GOT(){
TweenMax.set("#bullet3", {css:{backgroundColor: "#ffffff"}});

TweenMax.set("#bullet1", {css:{backgroundColor: "none"}});
TweenMax.set("#bullet2", {css:{backgroundColor: "none"}});
TweenMax.set("#bullet4", {css:{backgroundColor: "none"}});

	resettwee();
	TweenMax.to(["#txt2", "#prijs2"],0.6, {autoAlpha: 1, x:0, ease: Back.easeOut.config(1.5), delay: 0.6});

	TweenMax.to(["#txt1", "#prijs1"],0.6, {autoAlpha: 0, x:40, ease: Back.easeIn.config(1.5), delay: 0});
	TweenMax.to(["#txt3", "#prijs3"],0.6, {autoAlpha: 0, x:40, ease: Back.easeIn.config(1.5), delay: 0});

	TweenMax.to("#packshot1",0.6, {autoAlpha:0, x:40, ease: Back.easeIn.config(1.7), });

	TweenMax.to("#packshot3",0.6, {autoAlpha:0, x:40, ease: Back.easeIn.config(1.7)});

	TweenMax.to("#packshot2",1, {autoAlpha:1, x:0, ease: Back.easeOut.config(1.7), delay: 0.6});

	TweenMax.to("#btn",0.3, {scale: 1.1, repeat: 3, yoyo:true, ease: Power3.easeInOut, delay: 1.2});
}

function CD(){
TweenMax.set("#bullet4", {css:{backgroundColor: "#ffffff"}});

TweenMax.set("#bullet1", {css:{backgroundColor: "none"}});
TweenMax.set("#bullet2", {css:{backgroundColor: "none"}});
TweenMax.set("#bullet3", {css:{backgroundColor: "none"}});

	resetdrie();
	TweenMax.to(["#txt1", "#prijs1"],0.6, {autoAlpha: 0, x:40, ease: Back.easeIn.config(1.5), delay: 0.2});
	TweenMax.to(["#txt2", "#prijs2"],0.6, {autoAlpha: 0, x:40, ease: Back.easeIn.config(1.5), delay: 0.2});
	TweenMax.to(["#txt3", "#prijs3"],0.6, {autoAlpha: 1, x:0, ease: Back.easeOut.config(1.5), delay: 0.6});

	TweenMax.to("#packshot1",0.6, {autoAlpha:0, x:40, ease: Back.easeIn.config(1.7), });

	TweenMax.to("#packshot2",0.6, {autoAlpha:0, x:40, ease: Back.easeIn.config(1.7)});

	TweenMax.to("#packshot3",1, {autoAlpha:1, x:0, ease: Back.easeOut.config(1.7), delay: 0.6});

	TweenMax.to("#btn",0.3, {scale: 1.1, repeat: 3, yoyo:true, ease: Power3.easeInOut, delay: 1.2});
}


/////// CLICKTAG CODE HIERONDER ///////////////////////////////////////////////////////////////////////////////////////////////////////

clickTAGvalue = dhtml.getVar('clickTAG', 'http://www.mediamarkt.be/nl/shop/Sales14-Folder.html?langId=-29');
clickTAGvalue2 = dhtml.getVar('clickTAG2', 'http://www.mediamarkt.be/nl/product/_apple-ipad-mini-2-7-9-16-gb-space-gray-me276nf-a--1324334.html');
clickTAGvalue3 = dhtml.getVar('clickTAG3', 'http://www.mediamarkt.be/nl/product/_samsung-galaxy-a3-2016-pink-gold-sm-a310fedalux--1555366.html');
clickTAGvalue4 = dhtml.getVar('clickTAG4', 'http://www.mediamarkt.be/nl/product/_acer-aspire-f5-571-intel-core-i5-4210u-nx-g9zeh-014--1560541.html');
landingpagetarget = dhtml.getVar('landingPageTarget', '_blank');

var intro1 = document.getElementById('klik1');
var packshot1 = document.getElementById('packshot1');
var packshot2 = document.getElementById('packshot2');
var packshot3 = document.getElementById('packshot3');

intro1.onclick = function() {
 window.open(clickTAGvalue,landingpagetarget);
}

packshot1.onclick = function() {
 window.open(clickTAGvalue2,landingpagetarget);
}

packshot2.onclick = function() {
 window.open(clickTAGvalue3,landingpagetarget);
}

packshot3.onclick = function() {
 window.open(clickTAGvalue4,landingpagetarget);
}

/////// BULLET CODE ///////////////////////////////////////////////////////////////////////////////////////////////////////

var bullet1 = document.getElementById('bullet1');
var bullet2 = document.getElementById('bullet2');
var bullet3 = document.getElementById('bullet3');
var bullet4 = document.getElementById('bullet4');

bullet1.onclick = function() {
	tl.pause();
TweenMax.set("#bullet1", {css:{backgroundColor: "#ffffff"}});

TweenMax.set("#bullet2", {css:{backgroundColor: "none"}});
TweenMax.set("#bullet3", {css:{backgroundColor: "none"}});
TweenMax.set("#bullet4", {css:{backgroundColor: "none"}});
if (user==false){
setTimeout(function(){lastframe();}, 600)
user=true;
}
else {

	lastframe();
}
}

bullet2.onclick = function() {
	tl.pause();
TweenMax.set("#bullet2", {css:{backgroundColor: "#ffffff"}});

TweenMax.set("#bullet1", {css:{backgroundColor: "none"}});
TweenMax.set("#bullet3", {css:{backgroundColor: "none"}});
TweenMax.set("#bullet4", {css:{backgroundColor: "none"}});
if (user==false){
setTimeout(function(){ipad(); zoomuit();}, 600)
user=true;
}
else {
	zoomuit();
	ipad();
}
}

bullet3.onclick = function() {
	tl.pause();
TweenMax.set("#bullet3", {css:{backgroundColor: "#ffffff"}});

TweenMax.set("#bullet1", {css:{backgroundColor: "none"}});
TweenMax.set("#bullet2", {css:{backgroundColor: "none"}});
TweenMax.set("#bullet4", {css:{backgroundColor: "none"}});
if (user==false){
setTimeout(function(){GOT(); zoomuit();}, 600)
user=true;
}
else {
	zoomuit();
	GOT();
}
}

bullet4.onclick = function() {
	tl.pause();
TweenMax.set("#bullet4", {css:{backgroundColor: "#ffffff"}});

TweenMax.set("#bullet1", {css:{backgroundColor: "none"}});
TweenMax.set("#bullet2", {css:{backgroundColor: "none"}});
TweenMax.set("#bullet3", {css:{backgroundColor: "none"}});
if (user==false){
setTimeout(function(){CD(); zoomuit();}, 600)
user=true;
}
else {
	zoomuit();
	CD();
}
}


////////////////////////////////// REGEN //////////////////////////////////////

function make(total){

  var el = document.getElementById("container2");
  var w = Math.max(el.clientWidth, el.innerWidth || 0);
  var h = Math.max(el.clientHeight, el.innerHeight || 0);

  var sizes = ['Small', 'Medium', 'Large'];

  var tl = new TimelineMax();
  var startY = -50;
  var endY = h + 50;

  tl.clear();
  el.innerHTML = "";

  for (var i = 0; i < total; i++) {

    var sizeIndex = random(0, sizes.length - 1);
    var size = sizes[sizeIndex];
    var speed = (1 - sizeIndex);
    var delay = random(0, 10);
    var randomX = random(0, w);
    var paticle = document.createElement("div");

    paticle.className = "drup";
    el.appendChild(paticle);
    tl.set(paticle, {x:randomX, y:startY}, 0);

    tl.to(paticle, speed, {x:randomX, y:endY, delay: delay, repeatDelay:delay, repeat:-1}, Math.random() * 2);
  }


}

function random(min, max){
  return Math.floor(Math.random() * (1 + max - min) + min);
}


make(200);
